TransferOptions (The Data Transfer Agent Library 1.1.1-SNAPSHOT API)
Date: 2012-11-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library
Class TransferOptions

    java.lang.Object
      org.gcube.datatransfer.agent.library.TransferOptions

    public class TransferOptions

extends Object

Author:
  andrea

Constructor Summary
`TransferOptions()`

Method Summary
`org.gcube.datatransfer.agent.stubs.datatransferagent.StorageManagerDetails` | `getStorageManagerDetails()`
`org.gcube.datatransfer.agent.stubs.datatransferagent.StorageType` | `getType()`
`boolean` | `isOverwriteFile()`
`boolean` | `isUnzipFile()`
`void` | `setOverwriteFile(boolean overwriteFile)`
`void` | `setStorageManagerDetails(org.gcube.datatransfer.agent.stubs.datatransferagent.StorageManagerDetails storageManagerDetails)`
`void` | `setType(org.gcube.datatransfer.agent.stubs.datatransferagent.StorageType type)`
`void` | `setUnzipFile(boolean unzipFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferOptions

    public TransferOptions()

Method Detail

### isOverwriteFile

    public boolean isOverwriteFile()

### setOverwriteFile

    public void setOverwriteFile(boolean overwriteFile)

### isUnzipFile

    public boolean isUnzipFile()

### setUnzipFile

    public void setUnzipFile(boolean unzipFile)

### getType

    public org.gcube.datatransfer.agent.stubs.datatransferagent.StorageType getType()

### setType

    public void setType(org.gcube.datatransfer.agent.stubs.datatransferagent.StorageType type)

### getStorageManagerDetails

    public org.gcube.datatransfer.agent.stubs.datatransferagent.StorageManagerDetails getStorageManagerDetails()

### setStorageManagerDetails

    public void setStorageManagerDetails(org.gcube.datatransfer.agent.stubs.datatransferagent.StorageManagerDetails storageManagerDetails)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.